> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openfda/drug/ndc/search

> Search the FDA National Drug Code (NDC) directory by name, NDC, form, route and category

**Price:** 5 credits per 1000 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/openfda/drug/ndc/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openfda/drug/ndc/search:
    post:
      tags:
        - /openfda/drug
      summary: /openfda/drug/ndc/search
      description: >-
        Search the FDA National Drug Code (NDC) directory by name, NDC, form,
        route and category


        **Price:** 5 credits per 1000 results
      operationId: __api_openfda_drug_ndc_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenfdaDrugNdcSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenfdaDrugNdc'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenfdaDrugNdcSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        brand_name:
          anyOf:
            - type: string
            - type: 'null'
        generic_name:
          anyOf:
            - type: string
            - type: 'null'
        labeler_name:
          anyOf:
            - type: string
            - type: 'null'
        product_ndc:
          anyOf:
            - type: string
            - type: 'null'
        dosage_form:
          anyOf:
            - type: string
            - type: 'null'
        route:
          anyOf:
            - type: string
            - type: 'null'
        marketing_category:
          anyOf:
            - type: string
            - type: 'null'
        product_type:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaDrugProductType'
            - type: 'null'
        pharm_class:
          anyOf:
            - type: string
            - type: 'null'
        finished:
          anyOf:
            - type: boolean
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    OpenfdaDrugNdc:
      properties:
        '@type':
          type: string
          default: OpenfdaDrugNdc
        product_ndc:
          type: string
        product_id:
          anyOf:
            - type: string
            - type: 'null'
        spl_id:
          anyOf:
            - type: string
            - type: 'null'
        brand_name:
          anyOf:
            - type: string
            - type: 'null'
        brand_name_base:
          anyOf:
            - type: string
            - type: 'null'
        generic_name:
          anyOf:
            - type: string
            - type: 'null'
        labeler_name:
          anyOf:
            - type: string
            - type: 'null'
        dosage_form:
          anyOf:
            - type: string
            - type: 'null'
        route:
          items:
            type: string
          type: array
          default: []
        marketing_category:
          anyOf:
            - type: string
            - type: 'null'
        product_type:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        finished:
          type: boolean
          default: false
        marketing_start_at:
          anyOf:
            - type: integer
            - type: 'null'
        marketing_end_at:
          anyOf:
            - type: integer
            - type: 'null'
        listing_expiration_at:
          anyOf:
            - type: integer
            - type: 'null'
        pharm_class:
          items:
            type: string
          type: array
          default: []
        active_ingredients:
          items:
            $ref: '#/components/schemas/OpenfdaNdcActiveIngredient'
          type: array
          default: []
        packaging:
          items:
            $ref: '#/components/schemas/OpenfdaNdcPackage'
          type: array
          default: []
        openfda:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaBlock'
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - product_ndc
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenfdaDrugProductType:
      type: string
      enum:
        - HUMAN PRESCRIPTION DRUG
        - HUMAN OTC DRUG
        - NON-STANDARDIZED ALLERGENIC
        - STANDARDIZED ALLERGENIC
        - PLASMA DERIVATIVE
        - VACCINE
        - CELLULAR THERAPY
    OpenfdaNdcActiveIngredient:
      properties:
        '@type':
          type: string
          default: OpenfdaNdcActiveIngredient
        name:
          type: string
        strength:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    OpenfdaNdcPackage:
      properties:
        '@type':
          type: string
          default: OpenfdaNdcPackage
        package_ndc:
          type: string
        marketing_start_at:
          anyOf:
            - type: integer
            - type: 'null'
        marketing_end_at:
          anyOf:
            - type: integer
            - type: 'null'
        sample:
          type: boolean
          default: false
      type: object
      required:
        - package_ndc
    OpenfdaBlock:
      properties:
        '@type':
          type: string
          default: OpenfdaBlock
        application_number:
          items:
            type: string
          type: array
          default: []
        brand_name:
          items:
            type: string
          type: array
          default: []
        generic_name:
          items:
            type: string
          type: array
          default: []
        manufacturer_name:
          items:
            type: string
          type: array
          default: []
        product_ndc:
          items:
            type: string
          type: array
          default: []
        package_ndc:
          items:
            type: string
          type: array
          default: []
        product_type:
          items:
            type: string
          type: array
          default: []
        route:
          items:
            type: string
          type: array
          default: []
        substance_name:
          items:
            type: string
          type: array
          default: []
        rxcui:
          items:
            type: string
          type: array
          default: []
        unii:
          items:
            type: string
          type: array
          default: []
        spl_id:
          items:
            type: string
          type: array
          default: []
        spl_set_id:
          items:
            type: string
          type: array
          default: []
        nui:
          items:
            type: string
          type: array
          default: []
        pharm_class_cs:
          items:
            type: string
          type: array
          default: []
        pharm_class_epc:
          items:
            type: string
          type: array
          default: []
        pharm_class_moa:
          items:
            type: string
          type: array
          default: []
        pharm_class_pe:
          items:
            type: string
          type: array
          default: []
        is_original_packager:
          items:
            type: string
          type: array
          default: []
        device_class:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        medical_specialty_description:
          anyOf:
            - type: string
            - type: 'null'
        regulation_number:
          anyOf:
            - type: string
            - type: 'null'
        fei_number:
          items:
            type: string
          type: array
          default: []
        registration_number:
          items:
            type: string
          type: array
          default: []
        k_number:
          items:
            type: string
          type: array
          default: []
        pma_number:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````